Forums

Unfortunately no one can be told what FluxBB is - you have to see it for yourself.

You are not logged in.

#1 2015-05-08 16:33:12

eric235u
Member
From: free software land
Registered: 2008-05-10
Posts: 132
Website

Long term support for FluxBB 1.5.8?

Hi All,

My personal use case for fluxbb requires that javascript is not needed to use the site.  It's ok if it is used, but not for core functionality.  The reason is that my visitors are probably like myself, and have all scripts turned off for security reasons.  Also the site is being replicated to a certain extent on another network that doesn't allow javascript.  So I'm probably going to stick with 1.5.8 for a couple of years before considering an alternative.

What is the best place for those of us who are going to stick with fluxbb for a little while?  Would it be the github page and the forum here?

https://github.com/fluxbb/fluxbb
https://fluxbb.org/forums/viewforum.php?id=26

Thanks.

Last edited by eric235u (2015-05-09 16:33:30)

Offline

#2 2015-05-10 19:21:15

Franz
Lead developer
From: Germany
Registered: 2008-05-13
Posts: 6,724
Website

Re: Long term support for FluxBB 1.5.8?

FluxBB in its current form will definitely be around for a while even after the final release of Flarum.

After that, I'm not sure. Although currently I have a feeling that the community will keep it alive in some form...


fluxbb.de | develoPHP

"As code is more often read than written it's really important to write clean code."

Offline

#3 2015-05-11 05:37:36

GWR
Member
From: Germany
Registered: 2010-08-06
Posts: 214

Re: Long term support for FluxBB 1.5.8?

You will need to stay active as dev of "1.5.8" so potential vulnerabilities still get reported. The more the "dev crowd" gets split, the lower the chances for reports about security breaches, the lower the chances to get fixes etc.

Feel happy that you are already in the position to get such reports - from time to time.


bye
Ron

Offline

#4 2015-05-11 07:22:33

Franz
Lead developer
From: Germany
Registered: 2008-05-13
Posts: 6,724
Website

Re: Long term support for FluxBB 1.5.8?

GWR wrote:

You will need to stay active as dev of "1.5.8" so potential vulnerabilities still get reported. The more the "dev crowd" gets split, the lower the chances for reports about security breaches, the lower the chances to get fixes etc.

That's exactly what I'm doing. Just like I did when I was working on FluxBB 2.0 instead of Flarum.


fluxbb.de | develoPHP

"As code is more often read than written it's really important to write clean code."

Offline

#5 2015-05-12 14:43:46

eric235u
Member
From: free software land
Registered: 2008-05-10
Posts: 132
Website

Re: Long term support for FluxBB 1.5.8?

Cool.  I'll keep an eye on the gihub page and keep poking around the forums.  I'm sure I'll use Flarum for other projects and I'm very thankful of your excellent work Franz.  Once Flarum is stable I'll try to contribute a module or two.  Thanks!

Offline

Board footer

Powered by FluxBB